#! /usr/bin/env python


DA COMPLETARE
#Costruire un dizionario di studenti in cui la chiave è la matricola e il #valore è una lista di tuple del tipo (Nome_esame,voto). Implementare i #seguenti metodi:
#	1)Lettura da un file
#	2)Stampa dei voti di uno studente
#	3)Calcolo della media di uno studente
#	4) Restituire una lista di tutti gli studenti che hanno sostenuto un esame
#	5)Restituire una lista degli studenti con più di 3 esami
import sys
from operator import *

def leggi():
	
	if len(sys.argv)!=2:
		print "Errore sintassi: python %s <fileStudenti>" % sys.argv[0]
		exit(-1)
	nomefile=sys.argv[1]
	try:
		f=open(nomefile)
	except IOError:
		print "il file degli studenti non è stato trovato!!"
		sys.exit(-1)
	linee=f.readlines()
	f.close()
	l=[]
	for i in linee:
		listi=i.strip().split()
		listi[2]=int(listi[2])
		l.append(listi)

	return l

def costruisciDizionario(lista):
	dizStud={}
	for i in lista:
		if i[0] in dizStud:
			lEsame=[i[1],i[2]]
			nEsami=dizStud[i[0]][0]
			nEsami=nEsami+1
			lEsami=dizStud[i[0]][1]
			lEsami.append(lEsame)			
			dizStud[i[0]]=[nEsami,lEsami]		
		else:	
			lEsame=[i[1],i[2]]
			dizStud[i[0]]=[1,lEsame]	
		
	return dizStud

if __name__== "__main__":
	
	lista=leggi()
	for i in lista:
		print i

	dizStud=costruisciDizionario(lista)
	print "Stampa Dizionario"		
	for stud in dizStud.items():
		print stud[0],
		print "\t",
		print stud[1][0],
		print "\t",
		for k in stud[1][1]:
			print k,
		print		
	print
	print	
	print "Stampa Studenti con più di 3 esami, ordinate per voto decrescente"
	l=[]
	for i in dizStud.keys():
		if dizStud[i][0]>=3:
			l.append([i,dizStud[i]])
	l.sort(key=lambda x:-x[1][0])
	for i in l:
		print i[0],
		print "\t",
		print i[1]

			
				
			
				
			
